Skip to main content
GET
/
v1.0.0
/
link
/
users
/
{userId}
/
vendor-accounts
/
{vendorAccountId}
/
hvacs
List HVACs from vendor
curl --request GET \
  --url https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/hvacs \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/hvacs"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/hvacs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "totalPages": 1, "content": [ { "isLinked": true, "name": "Viessmann Vitotronic 200", "externalId": "8413731391660801", "model": "Vitotronic 200", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "totalElements": 1 }

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

userId
string
required

User ID

vendorAccountId
string<uuid>
required

Vendor account ID

Query Parameters

page
integer<int32>
required

Zero-based page index (0..N)

Required range: x >= 0
size
integer<int32>
required

The size of the page to be returned. Default value is 10. Maximum value is 100.

Required range: 1 <= x <= 100

Response

Successful operation

totalPages
integer<int64>
required

Total number of pages.

Example:

1

content
object[]
required

Elements in the page. If there is no elements the list will be empty.

totalElements
integer<int64>
required

Total number of elements.

Example:

1